BearSSL

Data Fields
br_ssl_session_cache_lru Struct Reference

Context for a basic cache system. More...

`#include <bearssl_ssl.h>`

## Data Fields
const br_ssl_session_cache_class * | vtable
| Pointer to vtable. More...

## Detailed Description

Context for a basic cache system.

The system stores session parameters in a buffer provided at initialisation time. Each entry uses exactly 100 bytes, and buffer sizes up to 4294967295 bytes are supported.

Entries are evicted with a LRU (Least Recently Used) policy. A search tree is maintained to keep lookups fast even with large caches.

Apart from the first field (vtable pointer), the structure contents are opaque and shall not be accessed directly.

## Field Documentation

## ◆ vtable

const br_ssl_session_cache_class* br_ssl_session_cache_lru::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h